# Retrieve an entity definition by ID

Retrieves an entity definition by its ID, with options to include conditional members, load permissions, and exclude light entity definitions.

Endpoint: GET /api/entitydefinitions/{id}
Version: v1.0
Security: OAuth2.0

## Path parameters:

  - `id` (integer, required)
    The unique identifier of the entity definition, for example, 12345.

## Header parameters:

  - `If-Modified-Since` (string)
    The date and time to check for modifications since, for example, 2023-01-01T00:00:00Z.

## Query parameters:

  - `includeConditionalMembers` (boolean)
    Whether to include conditional members, for example, true or false.

  - `loadPermissions` (boolean)
    Whether to load permissions, for example, true or false.

  - `excludeLightDefinitions` (string)
    Whether to exclude light entity definitions, for example, true or false.
    Enum: "True", "False", "UserSecurity"

## Response 200 fields (application/json):

  - `id` (integer)

  - `name` (string,null)

  - `modified_on` (string)

  - `created_on` (string)

  - `display_template` (string,null)

  - `is_taxonomy_item_definition` (boolean)

  - `is_path_enabled_definition` (boolean)

  - `is_manual_sorting_allowed` (boolean)

  - `is_system_owned` (boolean)

  - `is_built_in` (boolean)

  - `is_light` (boolean)
    Gets a value indicating whether the entity definition is a light definition.

  - `labels` (object,null)

  - `member_groups` (array,null)

  - `member_groups.name` (string,null)

  - `member_groups.content_group` (string,null)

  - `member_groups.labels` (object,null)

  - `member_groups.members` (array,null)

  - `member_groups.members.name` (string,null)

  - `member_groups.members.labels` (object,null)

  - `member_groups.members.helptext` (object,null)

  - `member_groups.members.is_conditional` (boolean)

  - `member_groups.members.conditions` (array,null)

  - `member_groups.members.conditions.member` (string,null)

  - `member_groups.members.can_trigger_conditional_members` (boolean)

  - `member_groups.members.is_system_owned` (boolean)

  - `member_groups.members.is_secured` (boolean,null)

  - `member_groups.members.can_write` (boolean,null)

  - `member_groups.members.allow_updates` (boolean,null)

  - `member_groups.is_system_owned` (boolean)

  - `member_groups.is_conditional` (boolean)

  - `member_groups.conditions` (array,null)

  - `member_groups.conditions.member` (string,null)

  - `member_groups.is_secured` (boolean,null)

  - `member_groups.can_write` (boolean,null)

  - `entities` (object)
    Represents a link to a resource.

  - `entities.href` (string,null)
    Gets or sets the URI that points to the resource this link refers to.

  - `entities.filename_properties` (array,null)
    Gets or sets the URI that points to the resource this link refers to.

  - `entities.title` (string,null)
    Gets or sets the title that describes this link.

  - `entities.templated` (boolean)
    Gets or sets a value indicating whether the contained URI is a template.

  - `related_paths` (object)
    Represents a link to a resource.

  - `related_paths.href` (string,null)
    Gets or sets the URI that points to the resource this link refers to.

  - `related_paths.filename_properties` (array,null)
    Gets or sets the URI that points to the resource this link refers to.

  - `related_paths.title` (string,null)
    Gets or sets the title that describes this link.

  - `related_paths.templated` (boolean)
    Gets or sets a value indicating whether the contained URI is a template.

  - `modified_by` (object)
    Represents a link to a resource.

  - `modified_by.href` (string,null)
    Gets or sets the URI that points to the resource this link refers to.

  - `modified_by.filename_properties` (array,null)
    Gets or sets the URI that points to the resource this link refers to.

  - `modified_by.title` (string,null)
    Gets or sets the title that describes this link.

  - `modified_by.templated` (boolean)
    Gets or sets a value indicating whether the contained URI is a template.

  - `created_by` (object)
    Represents a link to a resource.

  - `created_by.href` (string,null)
    Gets or sets the URI that points to the resource this link refers to.

  - `created_by.filename_properties` (array,null)
    Gets or sets the URI that points to the resource this link refers to.

  - `created_by.title` (string,null)
    Gets or sets the title that describes this link.

  - `created_by.templated` (boolean)
    Gets or sets a value indicating whether the contained URI is a template.

  - `permissions` (array,null)
    All available permissions for the entity definition

  - `self` (object)
    Represents a link to a resource.

  - `self.href` (string,null)
    Gets or sets the URI that points to the resource this link refers to.

  - `self.filename_properties` (array,null)
    Gets or sets the URI that points to the resource this link refers to.

  - `self.title` (string,null)
    Gets or sets the title that describes this link.

  - `self.templated` (boolean)
    Gets or sets a value indicating whether the contained URI is a template.


## Response 400 fields

## Response 401 fields

## Response 404 fields
